NXP NFC Reader Library v4.040.05.011646

Data Fields
phpalI18092mPI_Sw_DataParams_t Struct Reference
Protocol Abstraction Layer » ISO/IEC 18092 Mode Initiator » Component : Software

ISO18092 mode passive initiator parameter structure. More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY!
uint16_t | wLastTxLen
| Last DEP Send length. More...
void * | pHalDataParams
| Pointer to the parameter structure of the underlying layer. More...
uint8_t | bNfcIdValid
| Whether current NfcID is valid or not. More...
uint8_t | aNfcid3i [PHPAL_I18092MPI_NFCID3_LENGTH]
| Array holding 10 bytes long NFCID3. More...
uint8_t | bStateNow
| Current Exchange-State. More...
uint8_t | bDid
| Device Identifier; '0' to disable usage else 1-14. More...
uint8_t | bNadEnabled
| Node Address Enabler; Unequal '0' if enabled. More...
uint8_t | bNad
| Node Address; Ignored if bNadEnabled is equal '0'. More...
uint8_t | bWt
| Waiting Time; 0-14.
uint8_t | bFsl
| Frame Length Byte; 0-3.
uint8_t | bPni
| Current Packet Number (Packet number information); 0-3.
uint8_t | bDsi
| Divisor Send (target to initiator) Integer; 0-2.
uint8_t | bDri
| Divisor Receive (initiator to target) Integer; 0-2.
uint8_t | bLri
| Length reduction (initiator). More...
uint8_t | bLrt
| Length reduction (target). More...
uint8_t | bMaxRetryCount
| Maximum retry count for retransmissions. More...
uint8_t | bAtnDisabled
| ATN Disabler (i.e. More...
uint8_t | bActiveMode
| Flag indicates whether active mode is activated or not. More...

## Detailed Description

ISO18092 mode passive initiator parameter structure.

## Field Documentation

## § wLastTxLen

uint16_t phpalI18092mPI_Sw_DataParams_t::wLastTxLen

Last DEP Send length.

## § pHalDataParams

void* phpalI18092mPI_Sw_DataParams_t::pHalDataParams

Pointer to the parameter structure of the underlying layer.

## § bNfcIdValid

uint8_t phpalI18092mPI_Sw_DataParams_t::bNfcIdValid

Whether current NfcID is valid or not.

## § aNfcid3i

uint8_t phpalI18092mPI_Sw_DataParams_t::aNfcid3i[PHPAL_I18092MPI_NFCID3_LENGTH]

Array holding 10 bytes long NFCID3.

## § bStateNow

uint8_t phpalI18092mPI_Sw_DataParams_t::bStateNow

Current Exchange-State.

## § bDid

uint8_t phpalI18092mPI_Sw_DataParams_t::bDid

Device Identifier; '0' to disable usage else 1-14.

## § bNadEnabled

uint8_t phpalI18092mPI_Sw_DataParams_t::bNadEnabled

Node Address Enabler; Unequal '0' if enabled.

## § bNad

uint8_t phpalI18092mPI_Sw_DataParams_t::bNad

Node Address; Ignored if bNadEnabled is equal '0'.

## § bLri

uint8_t phpalI18092mPI_Sw_DataParams_t::bLri

Length reduction (initiator).

## § bLrt

uint8_t phpalI18092mPI_Sw_DataParams_t::bLrt

Length reduction (target).

## § bMaxRetryCount

uint8_t phpalI18092mPI_Sw_DataParams_t::bMaxRetryCount

Maximum retry count for retransmissions.

## § bAtnDisabled

uint8_t phpalI18092mPI_Sw_DataParams_t::bAtnDisabled

ATN Disabler (i.e.

'0' if ATN enabled).

## § bActiveMode

uint8_t phpalI18092mPI_Sw_DataParams_t::bActiveMode

Flag indicates whether active mode is activated or not.

The documentation for this struct was generated from the following file:

- phpalI18092mPI.h